// 	ResourceConstants.h file
// 	Copyright  1991-92 by Apple Computer, Inc.  All rights reserved. 
//	Kent Sandvik DTS
//	This file contains resource types which are needed in both the
//	source code and the resource files. 
//
//	<1>		khs		1.0		First final version


#ifndef __RESOURCECONSTANTS__
#define __RESOURCECONSTANTS__

//	Signature and Type
#define kSignature				'FOOB'			// application signature
#define kFileType				'FOOD'			// file type code used for document files created by this application
#define kStationery				'fOOD'			// Stationery file type 


//	Bundle Constants
#define kBundleID				128
#define kApplicationID			128
#define kDocumentID				129
#define kStationeryID			130


// 	Menus and command
#define mExamine				10
#define	cFindAEGestalt			1001			// also command number
#define cCreateReport			1002			// also command number

#define cAEProvideGestaltInfo	1003			// AE Server command number


//	Views
#define kMainWindow				1002			// the main document window

#define kHorizontalOffset 		20				//	Common view placement constants
#define kVerticalOffset			20
#define kHorizontStart			28
#define kVerticalStart			15


// AppleEvents
#define	kGestaltAEEvents		1201			// 'aedt' resource constant
#define kMacAppClass			'maca'			// AE class
#define kAEGetConfig			'mgtc'			// AE command
#define kAEConfig				'conf'			// AE descriptor
#define typeConfig				'tcnf'			// AE descriptor type

#endif

