//	UAEClientCommand.h
// 	Copyright  1991-92 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the TAEClientCommand class, the client
//	Apple event class which makes the query over the network to the server
//
//	<1>		khs		1.0		First final version


#ifndef __UAECLIENTCOMMAND__
#define __UAECLIENTCOMMAND__

#ifndef __UAEGESTALT__
#include "UAEGestalt.h"
#endif

#ifndef __UAEDOCUMENT__
#include "UAEDocument.h"
#endif


class TAEDocument;

DeclareClassDesc(TAEClientCommand);

class TAEClientCommand : public TClientCommand
{

	DeclareClass(TAEClientCommand);

public:
	TAEClientCommand();
	virtual void IAEClientCommand(CommandNumber,
										 TAEDocument* ,
										 AEEventID);

	virtual void ProcessReply(TAppleEvent*);

	TAEDocument* fDocument;
};

#endif