// 	UAEGestalt.h 
// 	Copyright  1991-92 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the TAEApplication class, the base application class
//	for the AEGestalt application
//
//	<1>		khs		1.0		First final version


// INCLUDE FILES

#ifndef __UAEGESTALT__
#define __UAEGESTALT__

#ifndef __INCLUDEFILES__
#include "IncludeFiles.h"
#endif

#ifndef __ULABELVIEW__
#include "ULabelView.h"
#endif

#ifndef __UINFORMATIONVIEW__
#include "UInformationView.h"
#endif

#ifndef __UGRAYFILLADORNER__
#include "UGrayfillAdorner.h"
#endif

#ifndef __UAEDOCUMENT__
#include "UAEDocument.h"
#endif

#ifndef __UAESERVERCOMMAND__
#include "UAEServerCommand.h"
#endif

#ifndef __ABOUT__
#include "About.h"
#endif


// TApplication 

DeclareClassDesc(TAEApplication);

class TAEApplication : public TApplication
{

	DeclareClass(TAEApplication);

public:
	TAEApplication();
	virtual void IAEApplication(OSType fileType,
									   OSType creator);
	virtual TDocument* DoMakeDocument(CommandNumber,
											 TFile*);
	virtual void DoAppleCommand(CommandNumber aCommandNumber,
									   const AppleEvent& message,
									   const AppleEvent& reply);
	virtual void DoAboutBox();

};

#endif
