// 	ULabelView.h
// 	Copyright  1991-92 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the TLabelView class, used for displaying
//	the labels in the leftmost view
//
//	<1>		khs		1.0		First final version


#ifndef __ULABELVIEW__
#define __ULABELVIEW__

#ifndef __UAEGESTALT__
#include "UAEGestalt.h"
#endif


DeclareClassDesc(TLabelView);

class TLabelView : public TView
{

	DeclareClass(TLabelView);

public:
	TLabelView();
	virtual void Draw(const VRect& area);
	virtual void DrawLabels();

	//	FIELDS
	CStr255 fLabel1, fLabel2, fLabel3, fLabel4, fLabel5, fLabel6, fLabel7, 
			fLabel8, fLabel9, fLabel10, fLabel11, fLabel12;
};

#endif