//	ULookupCommand.h
// 	Copyright  1991-92 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the class for TLookup command, used for
//	doing the query over the network
//
//	<1>		khs		1.0		First final version


#ifndef __ULOOKUPCOMMAND__
#define __ULOOKUPCOMMAND__

#ifndef __UAEGESTALT__
#include "UAEGestalt.h"
#endif

#ifndef __UAEDOCUMENT__
#include "UAEDocument.h"
#endif

class TAEDocument;

DeclareClassDesc(TLookupCommand);

class TLookupCommand : public TCommand
{

	DeclareClass(TLookupCommand);

public:
	TLookupCommand();
	virtual void ILookupCommand(CommandNumber,
									   TAEDocument*);
	virtual void DoIt();

	TAEDocument* fDocument;
};

#endif
